# gphoto2-setting.c File Reference

`#include "config.h"`
`#include <gphoto2/gphoto2-setting.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <gphoto2/gphoto2-result.h>`
`#include <gphoto2/gphoto2-port-log.h>`
`#include <gphoto2/gphoto2-port-portability.h>`

## Data Structures

struct | Setting

## Defines

#define | GP_MODULE "setting"
#define | CHECK_NULL(r) {if (!(r)) return (GP_ERROR_BAD_PARAMETERS);}
#define | CHECK_RESULT(result) {int r = (result); if (r < 0) return (r);}

## Functions

int | gp_setting_get (char *id, char *key, char *value)
| Retrieve a specific gphoto setting.
int | gp_setting_set (char *id, char *key, char *value)
| Set a specific gphoto setting.

## Detailed Description

Author:
  Copyright 2000 Scott Fritzinger

License
  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Function Documentation

int gp_setting_get | ( | char * | id,
|  | char * | key,
|  | char * | value |
| ) |  |  |

Retrieve a specific gphoto setting.

Parameters:

  | id | the frontend id of the caller
  | key | the key the frontend queries
  | value | retrieved value

Returns:
  GPhoto error code

This function retrieves the setting key for a specific frontend id and copies the value into the passed value pointer.

int gp_setting_set | ( | char * | id,
|  | char * | key,
|  | char * | value |
| ) |  |  |

Set a specific gphoto setting.

Parameters:

  | id | the frontend id of the caller
  | key | the key the frontend queries
  | value | retrieved value

Returns:
  GPhoto error code

This function sets the setting key for a specific frontend id to the value.